com.creamtec.ajaxswing.rendering.html.positioned

## Class AjaxPageRenderer

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer
  - - com.creamtec.ajaxswing.rendering.html.HTMLPageRenderer
    - - com.creamtec.ajaxswing.rendering.html.positioned.AjaxPageRenderer

- All Implemented Interfaces:
    DocumentRenderer

      public class AjaxPageRenderer
      extends HTMLPageRenderer

- - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer

      `LIMIT_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxPageRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `createDocument()` Abstract Factory Method design pattern to create documents.
    `void` | `redirectoToStandardPage(ClientAgent agent, int status, java.lang.Throwable ex)` Renders a standard page based on the template and the status

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.html.HTMLPageRenderer

      `appendHeader, getWindowTitle, initializeDocument, renderDocument`

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer

      `getComponentRenderer, getComponentRenderer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxPageRenderer

          public AjaxPageRenderer()

  - ### Method Detail

    - #### createDocument

          public Document createDocument()
                                  throws java.lang.Exception

      Description copied from class: `AbstractDocumentRenderer`
      Abstract Factory Method design pattern to create documents.
      Overrides:
        `createDocument` in class `HTMLPageRenderer`
      Throws:
        `java.lang.Exception`

    - #### redirectoToStandardPage

          public void redirectoToStandardPage(ClientAgent agent,
                                     int status,
                                     java.lang.Throwable ex)
                                       throws java.lang.Exception

      Renders a standard page based on the template and the status
      Overrides:
        `redirectoToStandardPage` in class `AbstractDocumentRenderer`
      Throws:
        `java.lang.Exception`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.